<main>
    <div class="grid-container" *ngIf="basket">
        <h2>Mon Panier</h2>
        <div class="catalog">
            <div class="item" *ngFor="let product of basket.products">
                <span class="image">
                    <img src="{{ product.imageSrc }}" alt="{{ product.name }}" />
                </span>
                <div class="product-infos">
                    <span class="name">{{ product.name }}</span>
                    <span class="price">{{ product.price }}€</span>
                    <div class="quantity">
                        <span class="clickable" (click)="removeFromBasket(product)">-</span>
                        <p class="value">{{ product.quantity }}</p>
                        <span class="clickable" (click)="addToBasket(product)">+</span>
                    </div>
                </div>
            </div>
        </div>
        <button mat-button *ngIf="basket!.products.length > 0" (click)="purchaseAll()">Passer la commande</button>
    </div>
</main>